<?php

function touren_autoload($class)
{
    foreach (['core', 'controller', 'class', 'interface'] as $dir) {
	$path = dirname(__DIR__) . '/' . $dir . '/' . strtolower($class) . '.class.php';

	if (file_exists($path)) {
	    require_once($path);
	    return;
	}
    }
}
spl_autoload_register('touren_autoload');
